Subject: Thoughts on Community Access Systems, Preface

From: Frank Hecker <[email-masked]>
Date: Mon, 7 Sep 1992 16:58:01 -0700

This begins a series of postings I'll be making to the community
access mailing list, and before I start filling up your mailboxes I
wanted to take a moment to briefly introduce myself and explain what
I'm doing here.

I'm a computer professional and have recently begun volunteering to
help with the CapAccess community access system being developed for
the Washington, D.C., area; in particular, I'm a member of the
technical advisory committee concerned with the specific hardware and
software used to build the system now and in the future.

In doing this I've been seized by a sense of frustration over the
long-term task ahead of us.  On the one hand, I want to help provide
broader public access to the types of facilities it's been my
privilege to be able to use: electronic mail, conferencing systems,
remote services and databases, and so on.  On the other hand I feel
that the types of systems I've used are a pale shadow of what they
could be, and to some degree it pains me to offer them to the general
public in their current state of development.

I've read a lot about the benefits that will flow from public access
to computing resources, and a lot about the wonderful technology that
will make it all happen now and in the future.  However I've read very
little that is truly helpful as to how to actually design and build a
real system that addresses the real needs and desires of those who use
it.

For now at CapAccess we are muddling through using the software and
hardware we have at hand.  In the future I would like for us to do
better, and I believe that we can do better.  To that end as a
personal project I am trying to come up with a vision of what
CapAccess could be in the future, together with a workable plan on how
we might get there--in effect, a design for a next-generation
community access system.  Even though our limited resources may
prevent us from ever building such a system ourselves, I believe that
having a well-thought-out design will help guide us in enhancing or
replacing our initial system, and may even serve as an inspiration to
others designing and building their own systems.

Of course my abilities alone are inadequate for this task, but I want
to at least get it started.  Therefore I'm inviting you to comment and
contribute to the documents I'm writing, if you have an interest in
doing so.  I'm going to try and work from first principles, starting
with the goals of a community access system, the various people who
might use it, and what specific tasks they might wish to use it for.
I'll also try to lay out all my assumptions for public view, to be
agreed with or argued with as you please.

Immediately after this message I'll send out the first section, on
goals, with further sections to follow as I complete initial drafts.

Thanks in advance for any comments and contributions.

Frank

-- 
Frank Hecker
[email-masked]